Type to search.

Add or remove items from the Elasticsearch resource keystore

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Adds the specified values to the Elasticsearch keystore, or removes the keys for the unspecified values.

Path parameters

deployment_id string required

Identifier for the Deployment

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one)

Query parameters

validate_only boolean · default: false

When true, does nothing except return the entries' allowlist and reloadability statuses.

Request body

The new settings that will be applied to the keystore of the Elasticsearch resource.

secrets map string to object required

List of secrets

<string> object
value object

Value of this setting. This can either be a string or a JSON object that is stored as a JSON string in the keystore. NOTE: When the keystore secret is unspecified, it is removed.

as_file boolean

Stores the keystore secret as a file. The default is false, which stores the keystore secret as string when value is a plain string, or true when value is an object.

is_allowlisted boolean

Read-only field, ignored on write. Only returned when calling the set-deployment-es-resource-keystore endpoint with validate_only=true. True if this setting/value pair is allowlisted (the allowlist is for informational purposes).

is_reloadable boolean

Read-only field, ignored on write. Only returned when calling the set-deployment-es-resource-keystore endpoint with validate_only=true. True if this setting is reloadable, or if false it requires a cluster restart.

Responses

The new contents of the Elasticsearch keystore (or the proposed contents if validate_only is true)

application/json
secrets map string to object required

List of secrets

<string> object
value object

Value of this setting. This can either be a string or a JSON object that is stored as a JSON string in the keystore. NOTE: When the keystore secret is unspecified, it is removed.

as_file boolean

Stores the keystore secret as a file. The default is false, which stores the keystore secret as string when value is a plain string, or true when value is an object.

is_allowlisted boolean

Read-only field, ignored on write. Only returned when calling the set-deployment-es-resource-keystore endpoint with validate_only=true. True if this setting/value pair is allowlisted (the allowlist is for informational purposes).

is_reloadable boolean

Read-only field, ignored on write. Only returned when calling the set-deployment-es-resource-keystore endpoint with validate_only=true. True if this setting is reloadable, or if false it requires a cluster restart.